Privacy Browser - Feature #216

Make the user agents atomatically update to the latest version

10/28/2017 07:53 PM - Soren Stoutner

Status: Closed
Priority: Next Release
Assignee: Soren Stoutner
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

10/28/2017

0%
0.00 hour
0.00 hour

Description

To do this, “user_agent_entry_values™ would contain entries like "Firefox on Android’. Then there would be a second “string-array
that would contain the actual user agents. The user agents would be pulled from the second “string-array” at runtime. This would
allow a user to set a particular user-agent and have it autoupdate (as frequently as Privacy Browser is released).

Of course, this would entail updating the user agents with every release of Privacy Browser, as opposed to the couple of times per

year that happens now. ;)

History

#1 - 05/09/2018 04:02 PM - Soren Stoutner

- Priority changed from 2 to Next Release

#2 - 05/16/2018 12:41 PM - Soren Stoutner

- Description updated

#3 - 05/16/2018 12:41 PM - Soren Stoutner

- Description updated

#4 - 05/16/2018 01:26 PM - Soren Stoutner

- Status changed from New to Closed

Implemented in commit https://git.stoutner.com/?p=PrivacyBrowser.git;a=commitdiff;h=96cf5fae34ebc2ae7ca05322837a859943e19ba0.
